signature ctCPP_TOKENS =
sig
type ('a,'b) token
type svalue
val EOF:  'a * 'a -> (svalue,'a) token
val litFixed: (string) *  'a * 'a -> (svalue,'a) token
val litFloat: (real) *  'a * 'a -> (svalue,'a) token
val litInt: (int) *  'a * 'a -> (svalue,'a) token
val litChar: (string) *  'a * 'a -> (svalue,'a) token
val litString: (string) *  'a * 'a -> (svalue,'a) token
val ident: (string) *  'a * 'a -> (svalue,'a) token
val preprocess: (string) *  'a * 'a -> (svalue,'a) token
val PPINCLUDE: (string) *  'a * 'a -> (svalue,'a) token
val TILDE:  'a * 'a -> (svalue,'a) token
val PERCENT:  'a * 'a -> (svalue,'a) token
val SLASH:  'a * 'a -> (svalue,'a) token
val ASTERISK:  'a * 'a -> (svalue,'a) token
val AMPERSAND:  'a * 'a -> (svalue,'a) token
val CIRCUMFLEX:  'a * 'a -> (svalue,'a) token
val VERTLINE:  'a * 'a -> (svalue,'a) token
val BACKSLASH:  'a * 'a -> (svalue,'a) token
val RSQBRACKET:  'a * 'a -> (svalue,'a) token
val LSQBRACKET:  'a * 'a -> (svalue,'a) token
val GREATER2:  'a * 'a -> (svalue,'a) token
val LESS2:  'a * 'a -> (svalue,'a) token
val GREATERTHAN:  'a * 'a -> (svalue,'a) token
val LESSTHAN:  'a * 'a -> (svalue,'a) token
val RPAREN:  'a * 'a -> (svalue,'a) token
val LPAREN:  'a * 'a -> (svalue,'a) token
val MINUS:  'a * 'a -> (svalue,'a) token
val PLUS:  'a * 'a -> (svalue,'a) token
val EQUALSIGN:  'a * 'a -> (svalue,'a) token
val COMMA:  'a * 'a -> (svalue,'a) token
val COLON:  'a * 'a -> (svalue,'a) token
val RCBRACKET:  'a * 'a -> (svalue,'a) token
val LCBRACKET:  'a * 'a -> (svalue,'a) token
val SEMICOLON:  'a * 'a -> (svalue,'a) token
val SCOPERESOLUTION:  'a * 'a -> (svalue,'a) token
val WHILE:  'a * 'a -> (svalue,'a) token
val UNSIGNED:  'a * 'a -> (svalue,'a) token
val TRUE:  'a * 'a -> (svalue,'a) token
val STATICCAST:  'a * 'a -> (svalue,'a) token
val REINTERPRETCAST:  'a * 'a -> (svalue,'a) token
val OR:  'a * 'a -> (svalue,'a) token
val MUTABLE:  'a * 'a -> (svalue,'a) token
val FRIEND:  'a * 'a -> (svalue,'a) token
val EXPLICIT:  'a * 'a -> (svalue,'a) token
val DELETE:  'a * 'a -> (svalue,'a) token
val CLASS:  'a * 'a -> (svalue,'a) token
val BITOR:  'a * 'a -> (svalue,'a) token
val WCHART:  'a * 'a -> (svalue,'a) token
val UNION:  'a * 'a -> (svalue,'a) token
val THROW:  'a * 'a -> (svalue,'a) token
val STATIC:  'a * 'a -> (svalue,'a) token
val REGISTER:  'a * 'a -> (svalue,'a) token
val OPERATOR:  'a * 'a -> (svalue,'a) token
val LONG:  'a * 'a -> (svalue,'a) token
val FOR:  'a * 'a -> (svalue,'a) token
val ENUM:  'a * 'a -> (svalue,'a) token
val DEFAULT:  'a * 'a -> (svalue,'a) token
val CHAR:  'a * 'a -> (svalue,'a) token
val BITAND:  'a * 'a -> (svalue,'a) token
val VOLATILE:  'a * 'a -> (svalue,'a) token
val TYPENAME:  'a * 'a -> (svalue,'a) token
val THIS:  'a * 'a -> (svalue,'a) token
val SIZEOF:  'a * 'a -> (svalue,'a) token
val PUBLIC:  'a * 'a -> (svalue,'a) token
val NOTEQ:  'a * 'a -> (svalue,'a) token
val INT:  'a * 'a -> (svalue,'a) token
val FLOAT:  'a * 'a -> (svalue,'a) token
val ELSE:  'a * 'a -> (svalue,'a) token
val CONTINUE:  'a * 'a -> (svalue,'a) token
val CATCH:  'a * 'a -> (svalue,'a) token
val AUTO:  'a * 'a -> (svalue,'a) token
val VOID:  'a * 'a -> (svalue,'a) token
val TYPEID:  'a * 'a -> (svalue,'a) token
val TEMPLATE:  'a * 'a -> (svalue,'a) token
val SIGNED:  'a * 'a -> (svalue,'a) token
val PROTECTED:  'a * 'a -> (svalue,'a) token
val NOT:  'a * 'a -> (svalue,'a) token
val INLINE:  'a * 'a -> (svalue,'a) token
val FALSE:  'a * 'a -> (svalue,'a) token
val DYNAMICCAST:  'a * 'a -> (svalue,'a) token
val CONSTCAST:  'a * 'a -> (svalue,'a) token
val CASE:  'a * 'a -> (svalue,'a) token
val ASM:  'a * 'a -> (svalue,'a) token
val XOREQ:  'a * 'a -> (svalue,'a) token
val VIRTUAL:  'a * 'a -> (svalue,'a) token
val TYPEDEF:  'a * 'a -> (svalue,'a) token
val SWITCH:  'a * 'a -> (svalue,'a) token
val SHORT:  'a * 'a -> (svalue,'a) token
val PRIVATE:  'a * 'a -> (svalue,'a) token
val NEW:  'a * 'a -> (svalue,'a) token
val IF:  'a * 'a -> (svalue,'a) token
val EXTERN:  'a * 'a -> (svalue,'a) token
val DOUBLE:  'a * 'a -> (svalue,'a) token
val CONST:  'a * 'a -> (svalue,'a) token
val BREAK:  'a * 'a -> (svalue,'a) token
val ANDEQ:  'a * 'a -> (svalue,'a) token
val XOR:  'a * 'a -> (svalue,'a) token
val USING:  'a * 'a -> (svalue,'a) token
val TRY:  'a * 'a -> (svalue,'a) token
val STRUCT:  'a * 'a -> (svalue,'a) token
val RETURN:  'a * 'a -> (svalue,'a) token
val OREQ:  'a * 'a -> (svalue,'a) token
val NAMESPACE:  'a * 'a -> (svalue,'a) token
val GOTO:  'a * 'a -> (svalue,'a) token
val EXPORT:  'a * 'a -> (svalue,'a) token
val DO:  'a * 'a -> (svalue,'a) token
val COMPL:  'a * 'a -> (svalue,'a) token
val BOOL:  'a * 'a -> (svalue,'a) token
val AND:  'a * 'a -> (svalue,'a) token
end
signature ctCPP_LRVALS=
sig
structure Tokens : ctCPP_TOKENS
structure ParserData:PARSER_DATA
sharing type ParserData.Token.token = Tokens.token
sharing type ParserData.svalue = Tokens.svalue
end
