signature ctIDL_TOKENS =
sig
type ('a,'b) token
type svalue
val EOF:  'a * 'a -> (svalue,'a) token
val litFixed: (string) *  'a * 'a -> (svalue,'a) token
val litFloat: (real) *  'a * 'a -> (svalue,'a) token
val litInt: (int) *  'a * 'a -> (svalue,'a) token
val litChar: (string) *  'a * 'a -> (svalue,'a) token
val litString: (string) *  'a * 'a -> (svalue,'a) token
val ident: (string) *  'a * 'a -> (svalue,'a) token
val preprocess: (string) *  'a * 'a -> (svalue,'a) token
val PPINCLUDE: (string) *  'a * 'a -> (svalue,'a) token
val TILDE:  'a * 'a -> (svalue,'a) token
val PERCENT:  'a * 'a -> (svalue,'a) token
val SLASH:  'a * 'a -> (svalue,'a) token
val ASTERISK:  'a * 'a -> (svalue,'a) token
val AMPERSAND:  'a * 'a -> (svalue,'a) token
val CIRCUMFLEX:  'a * 'a -> (svalue,'a) token
val VERTLINE:  'a * 'a -> (svalue,'a) token
val BACKSLASH:  'a * 'a -> (svalue,'a) token
val RSQBRACKET:  'a * 'a -> (svalue,'a) token
val LSQBRACKET:  'a * 'a -> (svalue,'a) token
val GREATER2:  'a * 'a -> (svalue,'a) token
val LESS2:  'a * 'a -> (svalue,'a) token
val GREATERTHAN:  'a * 'a -> (svalue,'a) token
val LESSTHAN:  'a * 'a -> (svalue,'a) token
val RPAREN:  'a * 'a -> (svalue,'a) token
val LPAREN:  'a * 'a -> (svalue,'a) token
val MINUS:  'a * 'a -> (svalue,'a) token
val PLUS:  'a * 'a -> (svalue,'a) token
val EQUALSIGN:  'a * 'a -> (svalue,'a) token
val COMMA:  'a * 'a -> (svalue,'a) token
val COLON:  'a * 'a -> (svalue,'a) token
val RCBRACKET:  'a * 'a -> (svalue,'a) token
val LCBRACKET:  'a * 'a -> (svalue,'a) token
val SEMICOLON:  'a * 'a -> (svalue,'a) token
val SCOPERESOLUTION:  'a * 'a -> (svalue,'a) token
val NATIVE:  'a * 'a -> (svalue,'a) token
val TYPEDEF:  'a * 'a -> (svalue,'a) token
val RAISES:  'a * 'a -> (svalue,'a) token
val INOUT:  'a * 'a -> (svalue,'a) token
val DEFAULT:  'a * 'a -> (svalue,'a) token
val TRUE:  'a * 'a -> (svalue,'a) token
val OUT:  'a * 'a -> (svalue,'a) token
val IN:  'a * 'a -> (svalue,'a) token
val CONTEXT:  'a * 'a -> (svalue,'a) token
val SWITCH:  'a * 'a -> (svalue,'a) token
val ONEWAY:  'a * 'a -> (svalue,'a) token
val FLOAT:  'a * 'a -> (svalue,'a) token
val CONST:  'a * 'a -> (svalue,'a) token
val WSTRING:  'a * 'a -> (svalue,'a) token
val STRUCT:  'a * 'a -> (svalue,'a) token
val OCTET:  'a * 'a -> (svalue,'a) token
val FIXED:  'a * 'a -> (svalue,'a) token
val CHAR:  'a * 'a -> (svalue,'a) token
val WCHAR:  'a * 'a -> (svalue,'a) token
val STRING:  'a * 'a -> (svalue,'a) token
val OBJECT:  'a * 'a -> (svalue,'a) token
val FALSE:  'a * 'a -> (svalue,'a) token
val CASE:  'a * 'a -> (svalue,'a) token
val VOID:  'a * 'a -> (svalue,'a) token
val SHORT:  'a * 'a -> (svalue,'a) token
val MODULE:  'a * 'a -> (svalue,'a) token
val EXCEPTION:  'a * 'a -> (svalue,'a) token
val BOOLEAN:  'a * 'a -> (svalue,'a) token
val UNION:  'a * 'a -> (svalue,'a) token
val SEQUENCE:  'a * 'a -> (svalue,'a) token
val LONG:  'a * 'a -> (svalue,'a) token
val ENUM:  'a * 'a -> (svalue,'a) token
val ATTRIBUTE:  'a * 'a -> (svalue,'a) token
val UNSIGNED:  'a * 'a -> (svalue,'a) token
val READONLY:  'a * 'a -> (svalue,'a) token
val INTERFACE:  'a * 'a -> (svalue,'a) token
val DOUBLE:  'a * 'a -> (svalue,'a) token
val ANY:  'a * 'a -> (svalue,'a) token
end
signature ctIDL_LRVALS=
sig
structure Tokens : ctIDL_TOKENS
structure ParserData:PARSER_DATA
sharing type ParserData.Token.token = Tokens.token
sharing type ParserData.svalue = Tokens.svalue
end
