(* This file is part of CodeTransformer - a tool for manipulating IDL and C++ files.
   Copyright (C) 1999 ANOQ of the Sun (alias Johnny Andersen)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   I reserve the right to alter the license in future versions of CodeTransformer.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   You can get this software from http://www.HardcoreProcessing.com/
   E-mail: anoq@HardcoreProcessing.com
*)

require "$.basis.__real_vector";
require "$.basis.__vector";
require "$.basis.mono_vector";

(* This structure is not in MLWorks, so it will be emulated... *)
structure IntVector : MONO_VECTOR =
  struct
    type vector = int Vector.vector
    type elem = int
    val maxLen = Vector.maxLen 
    val fromList = Vector.fromList 
    val tabulate = Vector.tabulate 
    val length = Vector.length 
    val sub = Vector.sub
    val extract = Vector.extract 
    val concat = Vector.concat 
    val mapi = Vector.mapi 
    val map = Vector.map 
    val appi = Vector.appi 
    val app = Vector.app
    val foldli = Vector.foldli
    val foldri = Vector.foldri
    val foldl = Vector.foldl 
    val foldr = Vector.foldr
  end

(* This structure is not in MLWorks, so it will be emulated... *)
structure StringVector : MONO_VECTOR =
  struct
    type vector = string Vector.vector
    type elem = string
    val maxLen = Vector.maxLen 
    val fromList = Vector.fromList 
    val tabulate = Vector.tabulate 
    val length = Vector.length 
    val sub = Vector.sub
    val extract = Vector.extract 
    val concat = Vector.concat 
    val mapi = Vector.mapi 
    val map = Vector.map 
    val appi = Vector.appi 
    val app = Vector.app
    val foldli = Vector.foldli
    val foldri = Vector.foldri
    val foldl = Vector.foldl 
    val foldr = Vector.foldr
  end
