(* This file is part of CodeTransformer - a tool for manipulating IDL and C++ files.
   Copyright (C) 1999 ANOQ of the Sun (alias Johnny Andersen)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   I reserve the right to alter the license in future versions of CodeTransformer.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   You can get this software from http://www.HardcoreProcessing.com/
   E-mail: anoq@HardcoreProcessing.com
*)

(*require "gnmlworks";
require "$.basis.__real_vector";*)

(* This functor generates a structure with a datatype
   consisting of common basic types of data. All dataelements
   in the datatype are wrapped in a parametrized type to
   make the functor very general. *)
functor gnFT (type 'a wrap
              type optimized) =
  struct
    datatype t =
      B of bool wrap
    | R of real wrap
    | I of int wrap
    | S of string wrap
    | Rs of RealVector.vector wrap
    | Is of IntVector.vector wrap
    | Ss of StringVector.vector wrap
    | O of optimized wrap (* optimized special cases *)
    | C of (t list) wrap (* compound types *)
  end

(* Structure with a datatype consisting of common basic types.
   In this application of gnFT the wrapper type doesn't
   do anything *)
structure gnT =
  gnFT (type 'a wrap = 'a
        type optimized = unit);
