(* This file is part of CodeTransformer - a tool for manipulating IDL and C++ files.
   Copyright (C) 1999 ANOQ of the Sun (alias Johnny Andersen)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   I reserve the right to alter the license in future versions of CodeTransformer.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   You can get this software from http://www.HardcoreProcessing.com/
   E-mail: anoq@HardcoreProcessing.com
*)

structure gnUtil : GN_UTIL =
  struct
    fun finalize body final =
          ((body ())
             handle e => (final ();raise e)
           before (ignore (final ())))
  end

(* Fejl fundet under kompilering: 2
   Fejl fundet ved intern test: *)

structure TestUtil :> GN_TESTER =
  struct
    fun finalize () =
          let
            val result1 = ref(false)
            val result2 = ref(false)
            val result3 = ref(false)
            
            val _ = (gnUtil.finalize
              (fn () => raise Match)
              (fn () => result1 := true))
                handle Match => (result2 := true)
            
            val result4 = gnUtil.finalize
                            (fn () => 4)
                            (fn () => result3 := true)
          in
            !result1 andalso !result2 andalso
            !result3 andalso (result4 = 4)
          end  

    fun test () =
          gnTU.doTest [("finalize", finalize)]
  end 
